Subject: bug#16284: 24.3.50; blank column shown with scroll bar configuration changes

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Dec 2013 20:18:40 +0200

> Date: Mon, 30 Dec 2013 19:13:21 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >>> Steps to reproduce:
>  >>>
>  >>> 1. $ emacs -Q -D &
>  >>> 2. M-x scroll-bar-mode RET
>  >>> 3. M-x scroll-bar-mode RET
>  >>>
>  >>> Then you'll see a blank column to the right of the scroll bar.
>  >> Hopefully fixed now.  Please try again.
>  >
>  > Emacs still thinks the scroll bars are displayed when it is started
>  > with -D: step 2 says "Scroll-Bar mode disabled", although the scroll
>  > bar was not shown before that.
> 
> That's a different issue.

Ah, OK, I thought it was related.

> I only fixed the blank column part (which I couldn't even observe on
> Windows).

Right, I don't see it as well.

Sorry for the noise, I saw Jan saying that -D behaves the same on GTK,
so I thought these are symptoms of the same problem.